#### D.7.1.7 cyclotomic

Procedure from library `finvar.lib` (see finvar_lib).

Usage:
  cyclotomic(i); i integer > 0

Returns:
  the i-th cyclotomic polynomial (type <poly>) as one in the first ring variable

Theory:
  x^i-1 is divided by the j-th cyclotomic polynomial where j takes on the value of proper divisors of i

Example:

    LIB "finvar.lib";
    ring R=0,(x,y,z),dp;
    print(cyclotomic(25));
    ==> x20+x15+x10+x5+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.